Add checks to configure for sufficiently modern host compilers. This

Description

Add checks to configure for sufficiently modern host compilers. This
requires Clang 3.1 or GCC 4.7. If the compiler isn't Clang or GCC, we
don't try to do any sanity checking, but this give us at least
a reasonable baseline of modern compilers.

Also, I'm not claiming that this is the best way to do compiler version
tests. I'm happy for anyone to suggest better ways of doing this test.

Details

Committed
chandlercJan 13 2014, 9:02 PM
Parents
rL199181: Replace .mips_hack_stocg with ".set micromips" and ".set nomicromips".
Branches
Unknown
Tags
Unknown